Page MenuHomePhabricator

Bundle CodeEditor extension with MW 1.31
Closed, ResolvedPublic

Description

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Supports MySQL, SQLite, and Postgres (no schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2018, 6:25 PM
Tgr added a subscriber: Tgr.Apr 8 2018, 8:57 PM
Legoktm updated the task description. (Show Details)Apr 9 2018, 2:26 AM
Legoktm updated the task description. (Show Details)Apr 11 2018, 12:21 AM
Legoktm updated the task description. (Show Details)Apr 14 2018, 1:40 AM

Change 426369 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] Bundle CodeEditor extension

https://gerrit.wikimedia.org/r/426369

Change 426369 merged by jenkins-bot:
[mediawiki/tools/release@master] Bundle CodeEditor extension

https://gerrit.wikimedia.org/r/426369

Legoktm closed this task as Resolved.Apr 17 2018, 1:31 AM
Legoktm claimed this task.

I'm assuming that T31134: installer breaks when extensions depend on each other will be resolved by the time 1.31 is ready, so this is OK to bundle.